2017-02-28 12:22 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003805Kali Linux[All Projects] Kali Package Bugpublic2017-02-09 14:00
Reporterryo 
Assigned Tosbrun 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionunable to reproduce 
Product Version2016.2 
Target VersionFixed in Version 
Summary0003805: Faraday freezed when WS name setting popup cancel, cause for segfault when named "test".(Kali Live 2016.2)
DescriptionNow, I have using kali-linux-2016.2-i386.iso from usb memstick(loopback iso boot).

It boot Faraday by clicking icon or select menu and canceling when show popup for Workstation Name settings.

In this time, popup remaining, it is not accepted input, also it is fixed at forefront, but it can that kill process because it can operation other applications and OS except Faraday.

(Example 1: top on faraday_freez_and_segfault.jpg)

I named "test" because restart Faraday and there is required registration of workstation name when read carefully on popup contents...,but cause for became Segmentation Fault.

(Example 2: bottom on faraday_freez_and_segfault.jpg)
Steps To Reproduce1. Boot kali-linux-2016.2-i386.iso from usb memory stick.
2. Boot Faraday (by cliking icon or selecting from menu...etc).
3. Canceling popup.

popup is not closing, and popup unable to operation...

4. For exmaple, kill process for Faraday on terminal.(Because other tool can operation.)
5. Boot Faraday.
6. Named "test" for Workstation Name and "testing..." for Explain.
7. Click [OK] button.

Segmentation Fault...
Attached Files

-Relationships
+Relationships

-Notes

~0006357

sbrun (developer)

The latest version 2.3.1-0kali1 is now in kali-rolling.
It fixes the freeze problem.
I can't reproduce the segfault problem with this version and the previous version.
+Notes

-Issue History
Date Modified Username Field Change
2016-12-26 03:45 ryo New Issue
2016-12-26 03:46 ryo File Added: faraday_freez_and_segfault.jpg
2017-02-09 14:00 sbrun Assigned To => sbrun
2017-02-09 14:00 sbrun Status new => closed
2017-02-09 14:00 sbrun Resolution open => unable to reproduce
2017-02-09 14:00 sbrun Note Added: 0006357
+Issue History